package ru.myitschool.work.domain.admin;

import androidx.annotation.NonNull;

import java.util.function.Consumer;

import ru.myitschool.work.domain.entities.Status;

public class IsEmployeeBlockUseCase {
    private final AdminRepository repository;

    public IsEmployeeBlockUseCase(AdminRepository repository) {
        this.repository = repository;
    }

    public void execute(@NonNull String auth, @NonNull String login, @NonNull Consumer<Status<Boolean>> callback) {
        repository.isEmployeeBlock(auth, login, callback);
    }
}
